SUSE SLED15 / SLES15セキュリティ更新プログラム:ffmpeg(SUSE-SU-2018:3609-1)

high Nessus プラグイン ID 120152

Language:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このffmpegの更新では、次の問題を修正します:

CVE-2018-13300:avpriv_request_sample関数に渡される不適切な引数により、細工されたAVIファイルをMPEG4に変換する際に配列外の読み取りが引き起こされ、これによってサービス拒否と情報漏洩が引き起こされる可能性がありました(bsc#1100348)。

CVE-2018-15822:flv_write_packet関数が空の音声パケットをチェックしなかったため、アサーションが失敗しました(bsc#1105869)。

CVE-2018-13305:mquant変数の負の値のチェックが行われないため、libavcodec/vc1_block.cのvc1_put_blocks_clamed関数が細工されたAVIファイルをMPEG4に変換するときに配列外のアクセスをトリガーし、情報漏洩やサービス拒否を引き起こす可能性があります。(bsc#1100345)。

CVE-2018-12458:libavcodec/mpeg4videoenc.cのmpeg4_encode_gop_header関数に不適切な整数タイプがあるため、細工されたAVIファイルをMPEG4に変換するときにアサーション違反がトリガーされ、サービス拒否が発生する可能性があります。(bsc#1097983)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Workstation Extension 15:zypper in -t patch SUSE-SLE-Product-WE-15-2018-2566=1

SUSE Linux Enterprise Module for Packagehub Subpackages 15:zypper in
-t patch SUSE-SLE-Module-Packagehub-Subpackages-15-2018-2566=1

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2018-2566=1

SUSE Linux Enterprise Module for Desktop Applications 15:zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2018-2566=1

参考資料

https://bugzilla.suse.com/show_bug.cgi?id=1097983

https://bugzilla.suse.com/show_bug.cgi?id=1100345

https://bugzilla.suse.com/show_bug.cgi?id=1100348

https://bugzilla.suse.com/show_bug.cgi?id=1105869

https://www.suse.com/security/cve/CVE-2018-12458/

https://www.suse.com/security/cve/CVE-2018-13300/

https://www.suse.com/security/cve/CVE-2018-13305/

https://www.suse.com/security/cve/CVE-2018-15822/

http://www.nessus.org/u?72ae7c39

プラグインの詳細

深刻度: High

ID: 120152

ファイル名: suse_SU-2018-3609-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/1/2

更新日: 2021/1/13

サポートされているセンサー: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 5.2

CVSS v2

リスクファクター: Medium

基本値: 5.8

現状値: 4.3

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:P

CVSS v3

リスクファクター: High

基本値: 8.1

現状値: 7.1

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:libswresample-devel, p-cpe:/a:novell:suse_linux:libswresample2, p-cpe:/a:novell:suse_linux:libswresample2-debuginfo, p-cpe:/a:novell:suse_linux:libswscale-devel, p-cpe:/a:novell:suse_linux:libswscale4, p-cpe:/a:novell:suse_linux:libswscale4-debuginfo, cpe:/o:novell:suse_linux:15, p-cpe:/a:novell:suse_linux:ffmpeg, p-cpe:/a:novell:suse_linux:ffmpeg-debuginfo, p-cpe:/a:novell:suse_linux:ffmpeg-debugsource, p-cpe:/a:novell:suse_linux:ffmpeg-private-devel, p-cpe:/a:novell:suse_linux:libavcodec57, p-cpe:/a:novell:suse_linux:libavcodec57-debuginfo, p-cpe:/a:novell:suse_linux:libavdevice-devel, p-cpe:/a:novell:suse_linux:libavdevice57, p-cpe:/a:novell:suse_linux:libavdevice57-debuginfo, p-cpe:/a:novell:suse_linux:libavfilter-devel, p-cpe:/a:novell:suse_linux:libavfilter6, p-cpe:/a:novell:suse_linux:libavfilter6-debuginfo, p-cpe:/a:novell:suse_linux:libavutil-devel, p-cpe:/a:novell:suse_linux:libavutil55, p-cpe:/a:novell:suse_linux:libavutil55-debuginfo, p-cpe:/a:novell:suse_linux:libpostproc-devel, p-cpe:/a:novell:suse_linux:libpostproc54, p-cpe:/a:novell:suse_linux:libpostproc54-debuginfo

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2018/11/2

脆弱性公開日: 2018/6/15

参照情報

CVE: CVE-2018-12458, CVE-2018-13300, CVE-2018-13305, CVE-2018-15822